Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 125825 - File browser for Export/Import diff/patch doesn't remember lastly choosen directory
File browser for Export/Import diff/patch doesn't remember lastly choosen dir...
Status: VERIFIED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Mercurial
6.x
All All
: P3 (vote)
: TBD
Assigned To: issues@versioncontrol
issues@versioncontrol
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-23 09:06 UTC by Jana Maleckova
Modified: 2008-02-05 09:40 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
proposed patch (4.80 KB, patch)
2008-01-23 15:12 UTC, Padraig Obriain
Details | Diff
updated patch (6.60 KB, patch)
2008-01-23 15:52 UTC, Padraig Obriain
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jana Maleckova 2008-01-23 09:06:15 UTC
Product Version: NetBeans IDE Dev (Build 200801222102)
Java: 1.6.0_04; Java HotSpot(TM) Client VM 10.0-b19
System: Windows XP version 5.1 running on x86; Cp1252; en_GB (nb)

Description:
============
File browser which is using for choosing diff location, doesn't remember the latest chosen directory. User always starts
browsing from default location which is annoying :-(
Comment 1 Padraig Obriain 2008-01-23 13:48:24 UTC
I will add this.
Comment 2 Padraig Obriain 2008-01-23 15:12:50 UTC
Created attachment 55438 [details]
proposed patch
Comment 3 Padraig Obriain 2008-01-23 15:13:27 UTC
This patch deals with export.
Comment 4 Padraig Obriain 2008-01-23 15:52:46 UTC
Created attachment 55444 [details]
updated patch
Comment 5 Padraig Obriain 2008-01-23 15:56:10 UTC
The updated patch deals with Import as well as Export.
Comment 6 Padraig Obriain 2008-01-24 08:17:47 UTC
IDE:-------------------------------------------------
IDE: [1/24/08 8:15 AM] Committing started
Checking in ui/diff/ExportDiffPanel.java;
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/diff/ExportDiffPanel.java,v
 <--  ExportDiffPanel.java
new revision: 1.7; previous revision: 1.6
done
Checking in ui/diff/ImportDiffAction.java;
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/diff/ImportDiffAction.java,v
 <--  ImportDiffAction.java
new revision: 1.13; previous revision: 1.12
done
Checking in ui/diff/ExportDiffAction.java;
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/diff/ExportDiffAction.java,v
 <--  ExportDiffAction.java
new revision: 1.11; previous revision: 1.10
done
Checking in HgModuleConfig.java;
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/HgModuleConfig.java,v  <-- 
HgModuleConfig.java
new revision: 1.17; previous revision: 1.16
done
IDE: [1/24/08 8:15 AM] Committing finished
Comment 7 Jana Maleckova 2008-02-05 09:40:58 UTC
verified on

Product Version: NetBeans IDE Dev (Build 200802050005)
Java: 1.6.0_04; Java HotSpot(TM) Client VM 10.0-b19
System: Windows XP version 5.1 running on x86; Cp1252; en_GB (nb)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo